<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/AdminDialog/AdminDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_admin_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AdminDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_ADMINDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_ADMINDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;../../widgets/AdminBooksLibraryManager/AdminBooksLibraryManager.h&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;../../widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;../UserDialog/UserDialog.h&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="class_admin_dialog.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_admin_dialog.html">AdminDialog</a> : <span class="keyword">public</span> <a class="code" href="class_user_dialog.html">UserDialog</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;Q_OBJECT</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_admin_dialog.html#a45c7f0c8881a0ea2a04d6bc3b282ccdc">AdminDialog</a>(QString title = <span class="stringliteral">&quot;Admin&quot;</span>, QDialog *parent = 0);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;signals:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="comment">// books managements</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a6d1942d76464b00b709539edbe17e10d">sendAddBookToLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#ab84c85cd044cfee3558b899544c66e0b">sendEditBookInLibraryRequest</a>(QString oldBookIsbn, <a class="code" href="class_book.html">Book</a> newBook);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#ac524faf342b61d5aa002c013d4086d48">sendRemoveBookFromLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#aaa29836eddb9f3d0be605f862b8ce211">sendAddBookToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a953a7c34e5461a83d5d58cd62853f9c3">sendEditBookInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a019568d28985ba97e38b12899642986d">sendRemoveBookFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="comment">// users managements</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a543c733c8ed1ce351516ab8d205bad7f">sendUserRequest</a>(QString username);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a68c381c09fae66cfeda9419dc95f9cbc">sendSearchUserRequest</a>(QString <span class="keywordtype">id</span>, QString name);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a06c386ab5b7db457acdacf6c299d8206">sendAddUserToLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> makeAdmin);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a203d47d014f60e8dcff40d874ff3afb7">sendEditUserInLibraryRequest</a>(QString oldId, <a class="code" href="class_user.html">User</a> newUser, <span class="keywordtype">bool</span> isAdmin, QString newPassword);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a4a9254bb1a24da17c68c49126a4e5c41">sendRemoveUserFromLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a2efc7720df8499ce5cb5bacf234150ef">sendSearchUserRequestResult</a>(std::vector&lt;User&gt; users);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#ac22ab7ba0236ae9cab7d6e597fa7a7e1">sendAddUserToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#a465dbd18879b4fb120cf82fee64dd403">sendEditUserInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_dialog.html#ac47dfcd00870a5ed4e29c05a1eed84a7">sendRemoveUserFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <a class="code" href="class_admin_books_library_manager.html">AdminBooksLibraryManager</a> *booksManagerTab;  <span class="comment">// tab that manages books</span></div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a> *usersManagerTab;  <span class="comment">// tab that manages users</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keywordtype">void</span> createAndAddBooksManagerTab();</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="keywordtype">void</span> createAndAddUsersManagerTab();</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;};</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_ADMINDIALOG_H</span></div><div class="ttc" id="class_admin_dialog_html_aaa29836eddb9f3d0be605f862b8ce211"><div class="ttname"><a href="class_admin_dialog.html#aaa29836eddb9f3d0be605f862b8ce211">AdminDialog::sendAddBookToLibraryRequestResult</a></div><div class="ttdeci">void sendAddBookToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_admin_dialog_html_a543c733c8ed1ce351516ab8d205bad7f"><div class="ttname"><a href="class_admin_dialog.html#a543c733c8ed1ce351516ab8d205bad7f">AdminDialog::sendUserRequest</a></div><div class="ttdeci">void sendUserRequest(QString username)</div></div>
<div class="ttc" id="class_admin_dialog_html_a465dbd18879b4fb120cf82fee64dd403"><div class="ttname"><a href="class_admin_dialog.html#a465dbd18879b4fb120cf82fee64dd403">AdminDialog::sendEditUserInLibraryRequestResult</a></div><div class="ttdeci">void sendEditUserInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_admin_dialog_html_a06c386ab5b7db457acdacf6c299d8206"><div class="ttname"><a href="class_admin_dialog.html#a06c386ab5b7db457acdacf6c299d8206">AdminDialog::sendAddUserToLibraryRequest</a></div><div class="ttdeci">void sendAddUserToLibraryRequest(User user, bool makeAdmin)</div></div>
<div class="ttc" id="class_admin_dialog_html"><div class="ttname"><a href="class_admin_dialog.html">AdminDialog</a></div><div class="ttdef"><b>Definition:</b> AdminDialog.h:28</div></div>
<div class="ttc" id="class_admin_dialog_html_a203d47d014f60e8dcff40d874ff3afb7"><div class="ttname"><a href="class_admin_dialog.html#a203d47d014f60e8dcff40d874ff3afb7">AdminDialog::sendEditUserInLibraryRequest</a></div><div class="ttdeci">void sendEditUserInLibraryRequest(QString oldId, User newUser, bool isAdmin, QString newPassword)</div></div>
<div class="ttc" id="class_admin_books_library_manager_html"><div class="ttname"><a href="class_admin_books_library_manager.html">AdminBooksLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.h:29</div></div>
<div class="ttc" id="class_admin_dialog_html_a953a7c34e5461a83d5d58cd62853f9c3"><div class="ttname"><a href="class_admin_dialog.html#a953a7c34e5461a83d5d58cd62853f9c3">AdminDialog::sendEditBookInLibraryRequestResult</a></div><div class="ttdeci">void sendEditBookInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_dialog_html_ab84c85cd044cfee3558b899544c66e0b"><div class="ttname"><a href="class_admin_dialog.html#ab84c85cd044cfee3558b899544c66e0b">AdminDialog::sendEditBookInLibraryRequest</a></div><div class="ttdeci">void sendEditBookInLibraryRequest(QString oldBookIsbn, Book newBook)</div></div>
<div class="ttc" id="class_admin_dialog_html_a6d1942d76464b00b709539edbe17e10d"><div class="ttname"><a href="class_admin_dialog.html#a6d1942d76464b00b709539edbe17e10d">AdminDialog::sendAddBookToLibraryRequest</a></div><div class="ttdeci">void sendAddBookToLibraryRequest(Book book)</div></div>
<div class="ttc" id="class_admin_dialog_html_ac524faf342b61d5aa002c013d4086d48"><div class="ttname"><a href="class_admin_dialog.html#ac524faf342b61d5aa002c013d4086d48">AdminDialog::sendRemoveBookFromLibraryRequest</a></div><div class="ttdeci">void sendRemoveBookFromLibraryRequest(Book book)</div></div>
<div class="ttc" id="class_admin_dialog_html_a45c7f0c8881a0ea2a04d6bc3b282ccdc"><div class="ttname"><a href="class_admin_dialog.html#a45c7f0c8881a0ea2a04d6bc3b282ccdc">AdminDialog::AdminDialog</a></div><div class="ttdeci">AdminDialog(QString title=&quot;Admin&quot;, QDialog *parent=0)</div><div class="ttdef"><b>Definition:</b> AdminDialog.cpp:21</div></div>
<div class="ttc" id="class_admin_users_library_manager_html"><div class="ttname"><a href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminUsersLibraryManager.h:29</div></div>
<div class="ttc" id="class_admin_dialog_html_a2efc7720df8499ce5cb5bacf234150ef"><div class="ttname"><a href="class_admin_dialog.html#a2efc7720df8499ce5cb5bacf234150ef">AdminDialog::sendSearchUserRequestResult</a></div><div class="ttdeci">void sendSearchUserRequestResult(std::vector&lt; User &gt; users)</div></div>
<div class="ttc" id="class_user_dialog_html"><div class="ttname"><a href="class_user_dialog.html">UserDialog</a></div><div class="ttdef"><b>Definition:</b> UserDialog.h:32</div></div>
<div class="ttc" id="class_admin_dialog_html_ac22ab7ba0236ae9cab7d6e597fa7a7e1"><div class="ttname"><a href="class_admin_dialog.html#ac22ab7ba0236ae9cab7d6e597fa7a7e1">AdminDialog::sendAddUserToLibraryRequestResult</a></div><div class="ttdeci">void sendAddUserToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_dialog_html_a019568d28985ba97e38b12899642986d"><div class="ttname"><a href="class_admin_dialog.html#a019568d28985ba97e38b12899642986d">AdminDialog::sendRemoveBookFromLibraryRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_dialog_html_a68c381c09fae66cfeda9419dc95f9cbc"><div class="ttname"><a href="class_admin_dialog.html#a68c381c09fae66cfeda9419dc95f9cbc">AdminDialog::sendSearchUserRequest</a></div><div class="ttdeci">void sendSearchUserRequest(QString id, QString name)</div></div>
<div class="ttc" id="class_admin_dialog_html_a4a9254bb1a24da17c68c49126a4e5c41"><div class="ttname"><a href="class_admin_dialog.html#a4a9254bb1a24da17c68c49126a4e5c41">AdminDialog::sendRemoveUserFromLibraryRequest</a></div><div class="ttdeci">void sendRemoveUserFromLibraryRequest(User user)</div></div>
<div class="ttc" id="class_admin_dialog_html_ac47dfcd00870a5ed4e29c05a1eed84a7"><div class="ttname"><a href="class_admin_dialog.html#ac47dfcd00870a5ed4e29c05a1eed84a7">AdminDialog::sendRemoveUserFromLibraryRequestResult</a></div><div class="ttdeci">void sendRemoveUserFromLibraryRequestResult(bool ok)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_79c8159beee59ad050d8b78344e075d7.html">AdminDialog</a></li><li class="navelem"><b>AdminDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
